Skip to content

Provisioning API (1.2.36)

Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
Staging server from master branch
https://provisioning-api.int.staging.sinch.com
Staging server from dev branch
https://provisioning-api-dev.int.staging.sinch.com
Internal production server for admin authorization
https://provisioning-api.unauth.int.prod.sinch.com
Internal staging server from master branch for admin authorization
https://provisioning-api.unauth.int.staging.sinch.com
Internal staging server from dev branch for admin authorization
https://provisioning-api-dev.unauth.int.staging.sinch.com

Webhooks

Webhooks allow the Sinch servers to communicate with your server backend. The webhooks endpoint lets you create, update, and delete webhooks programmatically.

Operations

WhatsApp Accounts

The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.

Operations

WhatsApp

he WhatsApp endpoint enables programmatic login to your WhatsApp account and retrieval of its details.

Operations

WhatsApp Flows

The WhatsApp flows endpoint lets you retrieve and manage WhatsApp Flows associated with the project.

Operations

WhatsApp Senders

A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.

Operations

WhatsApp Solutions

The WhatsApp solutions endpoint offers a way for you to manage your WhatsApp solutions.

Operations

List all solutions in projectGA

Request

Returns a list of solutions for the specified project.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/solutions' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of solutions

Bodyapplication/json
solutionsArray of objects(WhatsappSolutionDto)required

List of solutions.

solutions[].​idstringread-onlyrequired

The unique ID of the solution

solutions[].​detailsobjectrequired

Solution details and information.

solutions[].​details.​namestringrequired

The name of the solution.

solutions[].​assignedbooleanread-onlyrequired

If project has been assigned to this solution.

solutions[].​partnerAppobjectread-only

The Meta App of the Tech Provider.

solutions[].​ownerAppobjectread-only

The Meta App of the Solution Partner (e.g. Sinch).

Response
application/json
{ "solutions": [ {}, {}, {} ] }

Create solution for projectGA

Request

Returns all solutions for a project.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

Solution data

detailsobjectrequired

Solution details and information.

details.​namestringrequired

The name of the solution.

accessTokenstringrequired

The accessToken received from the authResponse, returned when completing the embedded solution flow.

businessManagerstringrequired

Business manager.

Enum"SINCH_BR""SINCH_MX""SINCH_UK"
curl -i -X POST \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/solutions' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "accessToken": "2250f588-c91c-4a0b-a251-6ca291b4d248",
    "businessManager": "SINCH_UK",
    "details": {
      "name": "Test name"
    }
  }'

Responses

Solutions

Bodyapplication/json
solutionsArray of objects(WhatsappSolutionDto)required

List of solutions.

solutions[].​idstringread-onlyrequired

The unique ID of the solution

solutions[].​detailsobjectrequired

Solution details and information.

solutions[].​details.​namestringrequired

The name of the solution.

solutions[].​assignedbooleanread-onlyrequired

If project has been assigned to this solution.

solutions[].​partnerAppobjectread-only

The Meta App of the Tech Provider.

solutions[].​ownerAppobjectread-only

The Meta App of the Solution Partner (e.g. Sinch).

failedSolutionsArray of objects(WhatsappFailedSolutionDto)required

List of failed solutions.

failedSolutions[].​partnerAppIdstringread-onlyrequired

The unique ID of the Tech Provider Meta App.

failedSolutions[].​errorCodestringread-onlyrequired

Error code allows to programmatically handle errors.

Enum"ACTIVATION_FAILED""CREATION_FAILED""UNRECOGNIZED"
failedSolutions[].​errorMessagestringread-only

Human readable message.

Response
application/json
{ "solutions": [ {}, {}, {} ], "failedSolutions": [] }

Get solution for projectGA

Request

Returns a solution for a project.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

solutionIdstringrequired

The unique ID of the solution.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/solutions/{solutionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Solution

Bodyapplication/json
idstringread-onlyrequired

The unique ID of the solution

detailsobjectrequired

Solution details and information.

details.​namestringrequired

The name of the solution.

assignedbooleanread-onlyrequired

If project has been assigned to this solution.

partnerAppobjectread-only

The Meta App of the Tech Provider.

ownerAppobjectread-only

The Meta App of the Solution Partner (e.g. Sinch).

Response
application/json
{ "id": "123", "details": { "name": "Test name" }, "ownerApp": { "id": 456, "name": "Test owner app name" }, "partnerApp": { "id": 789, "name": "Test partner app name" }, "assigned": true }

WhatsApp Templates

The WhatsApp template endpoint offers a way for you to manage your WhatsApp templates that can be used with the Conversation API. The WhatsApp templates are a requirement to send the initial outbound messages in the WhatsApp API.

Operations

Bundles

The bundles endpoint allows you to create and manage bundles of account resources.

Operations

KakaoTalk Categories

The KakaoTalk categories endpoint offers a way for you to manage all of the KakaoTalk template categories that you can use with the Conversation API.

Operations

KakaoTalk Senders

The KakaoTalk sender endpoint offers a way for you to manage your KakaoTalk senders that can be used with the Conversation API.

Operations

KakaoTalk Templates

The KakaoTalk template endpoint offers a way for you to manage your KakaoTalk templates that can be used with the Conversation API.

Operations

Conversation

The Conversation endpoints allows you to retrieve information about channels used with Conversation API.

Operations

RCS Accounts

Operations

RCS Questionnaire

Operations

RCS Senders

Operations